#include <bits/stdc++.h>
using namespace std;

int main()
{
    int L,a,b;
    cin >> a >> b >> L;
    bool possible[L];
    for(int i = 0;i < L;i++)
    {
        possible[i] = false;
    }
    for(int i = a + b;i <= L;i++)
    {
        for(int j = 1;j < i / a;j++)
        {
            if((i - (j * a))%b == 0 && i - (j * a) != 0)
            {
                possible[i - 1] = true;
                break;
            }
        }
        for(int j = 1;j < i / b;j++)
        {
            if((i - (j * b))%a == 0 && i - (j * b) != 0)
            {
                possible[i - 1] = true;
                break;
            }
        }
    }

    int br = 0;
    for(int i = 0;i < L;i++)
    {
        if(possible[i] == false)
        {
            br++;
        }
    }
    cout << br << endl;

    return 0;
}
